Subject: Re: Marking abandoned branches

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Sep 2006 23:02:46 +0200

Junio C Hamano wrote:

>> ... wouldn't refs cache (similar to current index for files) be
>> better idea?
> 
> The ideal is to make a fast and easy way for Porcelains to
> access what they want to know about the refs without knowing
> their implementation.  We already provide ways to do so except
> that they may not be fast nor easy.  And the "may not be fast"
> part is what triggers 'cache would be better' reaction, but the
> right thing to do is not to work it around with a clutch, but to
> design what an appropriate core side support is and implement
> it.

The 'cache would be better' is because it is obviously backward
compatibile (which helps the porcelains and history viewers),
avoids some trouble with deleting (and renaming) branches, can
be fast (when used), and we can use symlinks/symrefs with it I guess. 

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git